ChangeSet 1.1018.1.4, 2003/04/04 16:13:40-08:00, paulus@samba.org

[PATCH] USB: small fix to pegasus.c

Using cpu_to_le16p on a __u8 variable is wrong, and gives a compile
warning on PPC.  It's better to use cpu_to_le16 in this case.  Here is
a patch to fix it.  Please apply.


 drivers/usb/net/pegasus.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/net/pegasus.c b/drivers/usb/net/pegasus.c
--- a/drivers/usb/net/pegasus.c	Mon Apr  7 15:14:44 2003
+++ b/drivers/usb/net/pegasus.c	Mon Apr  7 15:14:44 2003
@@ -233,7 +233,7 @@
 
 	pegasus->dr.bRequestType = PEGASUS_REQT_WRITE;
 	pegasus->dr.bRequest = PEGASUS_REQ_SET_REG;
-	pegasus->dr.wValue = cpu_to_le16p(&data);
+	pegasus->dr.wValue = cpu_to_le16(data);
 	pegasus->dr.wIndex = cpu_to_le16p(&indx);
 	pegasus->dr.wLength = cpu_to_le16(1);
 	pegasus->ctrl_urb->transfer_buffer_length = 1;
